## network-manager 1.48.4

=== debian/changelog ===
network-manager (1.48.4-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 13:11:44 +0200

network-manager (1.48.4-1) unstable; urgency=medium

  * New upstream version 1.48.4
  * Enable standard Salsa CI

 -- Michael Biebl <biebl@debian.org>  Fri, 05 Jul 2024 19:10:23 +0200

network-manager (1.48.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2024 11:25:31 +0200

network-manager (1.48.2-1) unstable; urgency=medium

  * New upstream version 1.48.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 24 Jun 2024 15:02:02 +0200

network-manager (1.48.0-1ubuntu3) oracular; urgency=medium

  * Add changes from Lukas Märdian of never uploaded 1.46.0-1ubuntu2 version:
    - d/p/netplan: Refresh buildsystem patch for config.h.meson compat

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jun 2024 12:55:37 +0200

network-manager (1.48.0-1ubuntu2) oracular; urgency=low



=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13.11.6),
               dh-sequence-gir,
               meson (>= 0.51.0),
               pkgconf,
               gettext (>= 0.19.8),
               libglib2.0-dev (>= 2.42),
               ppp-dev,
               libselinux1-dev,
               libaudit-dev,
               libgnutls28-dev (>= 2.12),
               uuid-dev,
               systemd-dev,
               libsystemd-dev (>= 209),
               libudev-dev (>= 175),
               gir1.2-gio-2.0-dev,
               gir1.2-girepository-2.0,
               gobject-introspection,
               python3-gi,
               libpsl-dev (>= 0.1),
               libcurl4-gnutls-dev (>= 7.24.0),
               gtk-doc-tools,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9),
               libjansson-dev (>= 2.7),
               libbluetooth-dev (>= 5),
               libdbus-1-dev,
               libpolkit-gobject-1-dev,
               mobile-broadband-provider-info,
               valac,
               polkitd,
               libpolkit-gobject-1-dev,
               dbus <!nocheck>,
               python3-dbus <!nocheck>,
               python3-pexpect <!nocheck>,
               iproute2 <!nocheck>,
               libyaml-dev [!i386],
               libnetplan-dev (>= 0.106~) [!i386],
               netplan.io (>= 0.106~) [!i386] <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
Vcs-Git: https://git.launchpad.net/network-manager
Vcs-Browser: https://git.launchpad.net/network-manager
Homepage: https://wiki.gnome.org/Projects/NetworkManager

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         netplan.io (>= 0.106~) [!i386],
         libnm0 (= ${binary:Version}),
         default-dbus-system-bus | dbus-system-bus,
         udev,
         adduser,
         polkitd
Recommends: ppp,
            dnsmasq-base,
            modemmanager,
            network-manager-pptp,
            wireless-regdb,
            wpasupplicant,
            libpam-systemd,
Suggests: avahi-autoipd,
          libteam-utils,
          iptables,
Breaks: ${misc:Breaks}
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
    address configuration.
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: network management framework (development files)
 This package provides documentation of the NetworkManager D-Bus API, the
 configuration formats and command line utilities.
 It also provides D-Bus introspection files.

Package: libnm0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based client library for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libnm0 (= ${binary:Version}),
         libglib2.0-dev
Provides: ${gir:Provides}
Description: GObject-based client library for NetworkManager (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: gir1.2-nm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the libnm library
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager using libnm.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: network-manager-config-connectivity-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Debian server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Debian connectivity check servers reveals that the user is running a
 Debian(-based) operating system with NetworkManager.

Package: network-manager-config-connectivity-ubuntu
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to an Ubuntu server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Ubuntu connectivity check servers reveals that the user is running an
 Ubuntu(-based) operating system with NetworkManager.

## network-manager 1.48.8

=== debian/changelog ===
network-manager (1.48.8-1ubuntu3) oracular; urgency=medium

  * d/control: Avoid calling into half installed/upgraded Netplan (LP: #2033259)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 12 Sep 2024 18:01:03 +0200

network-manager (1.48.8-1ubuntu2) oracular; urgency=medium

  * Update netplan test, fixup one master->controller change

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Aug 2024 15:58:54 +0200

network-manager (1.48.8-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:07:09 +0200

network-manager (1.48.8-1) unstable; urgency=medium

  * New upstream version 1.48.8
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Aug 2024 20:53:23 +0200

network-manager (1.48.6-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 10:54:25 +0200

network-manager (1.48.6-1) unstable; urgency=medium

  * New upstream version 1.48.6
  * Rebase patches



=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
                libyaml-dev [!i386],
-               libnetplan-dev (>= 0.106~) [!i386],
-               netplan.io (>= 0.106~) [!i386] <!nocheck>,
+               libnetplan-dev (>= 1.0~) [!i386],
+               netplan.io (>= 1.0~) [!i386] <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
@@ -60,7 +60,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         netplan.io (>= 0.106~) [!i386],
+         netplan.io (>= 1.0~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          udev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   BUILD_PACKAGES += -Nnetwork-manager
   NETPLAN += -Dnetplan=false
endif

# Disable lto here regardless of whether we enable the configure flag
# https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

export PYTHON=/usr/bin/python3

PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)

%:
	dh $@ --with ppp $(BUILD_PACKAGES) --without autoreconf --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Druntime_dir=/run \
		-Dpppd_plugin_dir=$(PPPD_PLUGIN_DIR) \
		-Dpppd=/usr/sbin/pppd \
		-Dresolvconf=/usr/sbin/resolvconf \
		-Ddhclient=/usr/sbin/dhclient \
		-Dmodprobe=/usr/sbin/modprobe \
		-Ddhcpcanon=false \
		-Ddhcpcd=false \
		-Diptables=/usr/sbin/iptables \
		-Dnft=/usr/sbin/nft \
		-Ddnsmasq=/usr/sbin/dnsmasq \
		-Dpolkit_agent_helper_1=/usr/lib/policykit-1/polkit-agent-helper-1 \
		-Dsystemdsystemunitdir=/usr/lib/systemd/system \
		-Dudev_dir=/usr/lib/udev \
		-Ddbus_conf_dir=/usr/share/dbus-1/system.d \
		-Dcrypto=gnutls \
		-Dsession_tracking=systemd \
		-Dsuspend_resume=systemd \
		-Dmodem_manager=true \
		-Dnmtui=true \
		-Dnmcli=true \
		-Dselinux=true \
		-Dsystemd_journal=true \
		-Dlibaudit=yes \
		-Dwext=true \
		-Dwifi=true \
		-Diwd=true \
		-Dppp=true \
		-Dpolkit=true \
		-Dintrospection=true \
		-Ddocs=true \
		-Dconcheck=true \
		-Dteamdctl=true \
		-Dbluez5_dun=true \
		-Dvapi=true \
		-Difupdown=true \
		-Difcfg_rh=false \
		-Dnm_cloud_setup=false \
		-Dmodify_system=false \
		-Dovs=false \
		-Dqt=false \
		-Debpf=false \
		-Dtests=yes \
		-Db_lto=true \
		$(NETPLAN) \
		-Dofono=false

override_dh_install:
	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
	dh_install

override_dh_installinit:
	dh_installinit --noscripts

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

override_dh_installsystemd:
	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service nm-priv-helper.service
	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service

override_dh_ppp:
	dh_ppp --breaks

## network-manager 1.48.10

=== meson_options.txt ===
# system paths
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files')
option('system_ca_path', type: 'string', value: '/etc/ssl/certs', description: 'path to system CA certificates')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory. Set to \'no\' not to install the udev rule')
option('dbus_conf_dir', type: 'string', value: '', description: 'where D-Bus system.d directory is')
option('kernel_firmware_dir', type: 'string', value: '/lib/firmware', description: 'where kernel firmware directory is (default is /lib/firmware)')
option('runtime_dir', type: 'string', value: '', description: 'Directory for transient runtime state [default: LOCALSTATEDIR/run or /run]')
option('iptables', type: 'string', value: '', description: 'path to iptables')
option('nft', type: 'string', value: '', description: 'path to nft')
option('dnsmasq', type: 'string', value: '', description: 'path to dnsmasq')
option('modprobe', type: 'string', value: '', description: 'path to modprobe')

# platform
option('dist_version', type: 'string', value: '', description: 'Define the NM\'s distribution version string')
option('session_tracking_consolekit', type: 'boolean', value: true, description: 'Support consolekit session tracking')
option('session_tracking', type: 'combo', choices: ['systemd', 'elogind', 'no'], value: 'systemd', description: 'Compatibility option to choose one session tracking module')
option('suspend_resume', type: 'combo', choices: ['systemd', 'elogind', 'consolekit', 'auto'], value: 'auto', description: 'Build NetworkManager with specific suspend/resume support')
option('polkit', type: 'boolean', value: true, description: 'User auth-polkit configuration option.')
option('config_auth_polkit_default', type: 'combo', choices: ['default', 'true', 'false', 'root-only'], value: 'default', description: 'Default value for configuration main.auth-polkit.')
option('modify_system', type: 'boolean', value: false, description: 'Allow users to modify system connections')
option('polkit_agent_helper_1', type: 'string', value: '', description: 'Path name to the polkit-agent-helper-1 binary from polkit')
option('selinux', type: 'boolean', value: true, description: 'Build with SELinux')
option('systemd_journal', type: 'boolean', value: true, description: 'Use systemd journal for logging')
option('config_logging_backend_default', type: 'combo', choices: ['default', 'syslog', 'journal'], value: 'default', description: 'Default value for logging.backend')
option('config_wifi_backend_default', type: 'combo', choices: ['default', 'wpa_supplicant', 'iwd'], value: 'default', description: 'Default value for wifi.backend')
option('hostname_persist', type: 'combo', choices: ['default', 'suse', 'gentoo', 'slackware'], value: 'default', description: 'Hostname persist method')
option('libaudit', type: 'combo', choices: ['yes', 'yes-disabled-by-default', 'no'], value: 'yes', description: 'Build with audit daemon support. yes-disabled-by-default enables support, but disables it unless explicitly configured via NetworkManager.conf')

# features
option('wext', type: 'boolean', value: true, description: 'Enable or disable Linux Wireless Extensions')
option('wifi', type: 'boolean', value: true, description: 'enable Wi-Fi support')
option('iwd', type: 'boolean', value: false, description: 'enable iwd support (experimental)')
option('ppp', type: 'boolean', value: true, description: 'enable PPP/PPPoE support')
option('pppd', type: 'string', value: '', description: 'path to pppd binary')
option('pppd_plugin_dir', type: 'string', value: '', description: 'path to the pppd plugins directory')
option('modem_manager', type: 'boolean', value: true, description: 'Enable new ModemManager1 interface support')
option('mobile_broadband_provider_info_database', type: 'string', value: '', description: 'path to the mobile-broadband-provider-info database')
option('ofono', type: 'boolean', value: false, description: 'Enable oFono support (experimental)')
option('concheck', type: 'boolean', value: true, description: 'enable connectivity checking support')
option('teamdctl', type: 'boolean', value: false, description: 'enable Teamd control support')
option('ovs', type: 'boolean', value: true, description: 'enable Open vSwitch support')
option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
option('nm_cloud_setup', type: 'boolean', value: true, description: 'Build nm-cloud-setup, a tool for automatically configuring networking in cloud')
option('bluez5_dun', type: 'boolean', value: false, description: 'enable Bluez5 DUN support')
option('ebpf', type: 'combo', choices: ['auto', 'true', 'false'], description: 'Enable eBPF support')

# configuration plugins
option('config_plugins_default', type: 'string', value: '', description: 'Default configuration option for main.plugins setting, used as fallback if the configuration option is unset')
option('ifcfg_rh', type: 'boolean', value: false, description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL) (deprecated)')
option('ifupdown', type: 'combo', choices:['auto', 'true', 'false'], value: 'auto', description: 'enable ifupdown configuration plugin (Debian/Ubuntu)')
option('config_migrate_ifcfg_rh_default', type: 'boolean', value: false, description: 'The default value of the main.migrate-ifcfg-rh configuration option')

# handlers for resolv.conf
option('resolvconf', type: 'string', value: '', description: 'Enable resolvconf support')
option('netconfig', type: 'string', value: '', description: 'Enable SUSE netconfig support')
option('config_dns_rc_manager_default', type: 'combo', choices: ['auto', 'symlink', 'file', 'netconfig', 'resolvconf'], value: 'auto', description: 'Configure default value for main.rc-manager setting')

# dhcp clients
option('dhclient', type: 'string', value: '', description: 'Enable dhclient support')
option('dhcpcanon', type: 'string', value: '', description: 'Enable dhcpcanon support (experimental)')
option('dhcpcd', type: 'string', value: '', description: 'Enable dhcpcd support')
option('config_dhcp_default', type: 'combo', choices: ['dhcpcanon', 'dhclient', 'dhcpcd', 'internal', 'nettools'], value: 'internal', description: 'Default configuration option for main.dhcp setting, used as fallback if the configuration option is unset')

# miscellaneous
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('vapi', type : 'combo', choices : ['auto', 'true', 'false'], description: 'build Vala bindings')
option('docs', type: 'boolean', value: false, description: 'use to build documentation')
option('tests', type: 'combo', choices: ['yes', 'no', 'root'], value: 'yes', description: 'Build NetworkManager tests')
option('firewalld_zone', type: 'boolean', value: true, description: 'Install and use firewalld zone for shared mode')
option('more_asserts', type: 'string', value: 'auto', description: 'Enable more assertions for debugging (0 = no, 100 = all, default: auto)')
option('more_logging', type: 'boolean', value: true, description: 'Enable more debug logging')
option('valgrind', type: 'array', value: ['no'], description: 'Use valgrind to memory-check the tests')
option('valgrind_suppressions', type: 'string', value: '', description: 'Use specific valgrind suppression file')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('libpsl', type: 'boolean', value: true, description: 'Link against libpsl')
option('crypto', type: 'combo', choices: ['nss', 'gnutls', 'null'], value: 'nss', description: 'Cryptography library to use for certificate and key operations')
option('qt', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'enable Qt examples')
option('readline', type: 'combo', choices: ['auto', 'libreadline', 'libedit', 'none'], description: 'Using readline (auto) or libedit)')

=== debian/changelog ===
network-manager (1.48.10-1) unstable; urgency=medium

  * New upstream version 1.48.10

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Aug 2024 16:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
@@ -44,15 +43,10 @@
                python3-dbus <!nocheck>,
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
-               libyaml-dev [!i386],
-               libnetplan-dev (>= 1.0~) [!i386],
-               netplan.io (>= 1.0~) [!i386] <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
-Vcs-Git: https://git.launchpad.net/network-manager
-Vcs-Browser: https://git.launchpad.net/network-manager
+Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -60,7 +54,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         netplan.io (>= 1.0~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          udev,
@@ -69,12 +62,10 @@
 Recommends: ppp,
             dnsmasq-base,
             modemmanager,
-            network-manager-pptp,
             wireless-regdb,
             wpasupplicant,
             libpam-systemd,
-Suggests: avahi-autoipd,
-          libteam-utils,
+Suggests: libteam-utils,
           iptables,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
@@ -88,8 +79,6 @@
  interact with NetworkManager.
  .
  Optional dependencies:
-  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
-    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
@@ -178,21 +167,3 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
-
-Package: network-manager-config-connectivity-ubuntu
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         network-manager (>= ${source:Version})
-Description: NetworkManager configuration to enable connectivity checking
- This package contains a configuration file which enables NetworkManager's
- connectivity checking functionality.
- .
- NetworkManager will try to connect to an Ubuntu server to determine the
- connection status.
- .
- This is particularly useful for captive portal detection.
- .
- No user data is transmitted in the connectivity checks, but merely contacting
- the Ubuntu connectivity check servers reveals that the user is running an
- Ubuntu(-based) operating system with NetworkManager.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
-
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
-   BUILD_PACKAGES += -Nnetwork-manager
-   NETPLAN += -Dnetplan=false
-endif
 
 # Disable lto here regardless of whether we enable the configure flag
 # https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
@@ -16,7 +11,7 @@
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
 %:
-	dh $@ --with ppp $(BUILD_PACKAGES) --without autoreconf --buildsystem=meson
+	dh $@ --with ppp --without autoreconf --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -62,17 +57,7 @@
 		-Dovs=false \
 		-Dqt=false \
 		-Debpf=false \
-		-Dtests=yes \
-		-Db_lto=true \
-		$(NETPLAN) \
 		-Dofono=false
-
-override_dh_install:
-	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
-	dh_install
-
-override_dh_installinit:
-	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

## network-manager 1.49.90

=== debian/changelog ===
network-manager (1.49.90-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Sep 2024 18:03:55 +0200

network-manager (1.49.90-1) experimental; urgency=medium

  * New upstream version 1.49.90 (1.50 rc1)
  * Rebase patches
  * Update symbols file for libnm0
  * Stop enabling support for dhclient.
    This feature has been marked deprecated and is scheduled to be removed
    in a future release.
  * Update Homepage URL (Closes: #1080304)
  * Update README.Debian (Closes: #864339)

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Sep 2024 19:56:26 +0200

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
-Homepage: https://wiki.gnome.org/Projects/NetworkManager
+Homepage: https://networkmanager.dev/
 
 Package: network-manager
 Architecture: linux-any

## network-manager 1.50.0

=== debian/changelog ===
network-manager (1.50.0-1ubuntu2) plucky; urgency=medium

  * Rebuild with the new ppp version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Nov 2024 23:07:08 +0100

network-manager (1.50.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable (LP: #2087981). Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 12 Nov 2024 15:34:49 +0100

network-manager (1.50.0-1) unstable; urgency=medium

  * New upstream version 1.50.0
  * Bump 1.49.90 symbol versions to 1.50.0 for the final release

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Oct 2024 22:33:16 +0200

network-manager (1.49.91-1) unstable; urgency=medium

  * New upstream version 1.49.91 (1.50 rc2)
  * Demote polkitd and udev to Recommends

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Sep 2024 18:20:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+   BUILD_PACKAGES += -Nnetwork-manager
+   NETPLAN += -Dnetplan=false
+endif
 
 # Disable lto here regardless of whether we enable the configure flag
 # https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
@@ -11,7 +16,7 @@
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
 %:
-	dh $@ --with ppp --without autoreconf --buildsystem=meson
+	dh $@ --with ppp $(BUILD_PACKAGES) --without autoreconf --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -19,7 +24,6 @@
 		-Dpppd_plugin_dir=$(PPPD_PLUGIN_DIR) \
 		-Dpppd=/usr/sbin/pppd \
 		-Dresolvconf=/usr/sbin/resolvconf \
-		-Ddhclient=/usr/sbin/dhclient \
 		-Dmodprobe=/usr/sbin/modprobe \
 		-Ddhcpcanon=false \
 		-Ddhcpcd=false \
@@ -57,7 +61,17 @@
 		-Dovs=false \
 		-Dqt=false \
 		-Debpf=false \
+		-Dtests=yes \
+		-Db_lto=true \
+		$(NETPLAN) \
 		-Dofono=false
+
+override_dh_install:
+	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
+	dh_install
+
+override_dh_installinit:
+	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

## network-manager 1.50.1

=== debian/changelog ===
network-manager (1.50.1-1) unstable; urgency=medium

  * New upstream version 1.50.1
  * Update debian/watch.
    Switch to new download location at gitlab.freedesktop.org.
    Use tarballs without pre-generated documentation. We rebuild them
    anyway. (Closes: #1091414)
  * Rebase patches
  * Drop now unused lintian override for source-is-missing.
    As we no longer use a tarball with pre-generated documentation, this
    (false) lintian warning no longer triggers.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Dec 2024 21:01:45 +0100
